OpenapiV1WebhooksId
Update webhook subscription
Update the target URL for a webhook subscription.
Notes:
- The event_type cannot be changed (create a new subscription instead)
- The secret cannot be changed (create a new subscription for rotation)
- New URL must use HTTPS
Path Parameters
idstring
Webhook subscription ID (UUID)
Format
uuidtarget_url?string
New target URL for webhook delivery
Format
uriResponse Body
application/json
application/json
application/json
curl -X PATCH "https://api.aura-app.ai/v1/webhooks/550e8400-e29b-41d4-a716-446655440000" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"created_at": "2026-01-17T08:00:00Z",
"event_type": "call.booked",
"id": "550e8400-e29b-41d4-a716-446655440000",
"target_url": "https://api.example.com/webhooks/aura"
},
"success": true
}{
"code": "WEBHOOK_NOT_FOUND",
"error": "Webhook subscription not found",
"success": false
}{
"code": "WEBHOOK_NOT_FOUND",
"error": "Webhook subscription not found",
"success": false
}